OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.TextureBufferRange

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBTextureBufferRange :: MonadIO m => m Bool
- gl_ARB_texture_buffer_range :: Bool
- gl_TEXTURE_BUFFER_OFFSET :: GLenum
- gl_TEXTURE_BUFFER_OFFSET_ALIGNMENT :: GLenum
- gl_TEXTURE_BUFFER_SIZE :: GLenum
- glTexBufferRange :: MonadIO m => GLenum -> GLenum -> GLuint -> GLintptr -> GLsizeiptr -> m ()

# Extension Support

glGetARBTextureBufferRange :: MonadIO m => m Bool

Is the ARB_texture_buffer_range extension supported?

gl_ARB_texture_buffer_range :: Bool

Is the ARB_texture_buffer_range extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTextureBufferRange` in those cases instead.

# Enums

gl_TEXTURE_BUFFER_OFFSET :: GLenum

gl_TEXTURE_BUFFER_OFFSET_ALIGNMENT :: GLenum

gl_TEXTURE_BUFFER_SIZE :: GLenum

# Functions

glTexBufferRange

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `internalformat`.
-> GLuint | `buffer`.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> m () |

Manual page for OpenGL 4.x.